{% extends 'base.html' %}
{% load static %}

{% block title %} Cosnol's story-9 {%endblock title %}

{% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<link rel="stylesheet" href="{% static 'story_9/story_9.css' %}">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
{% endblock meta %}
{% block content %}
<div class="container h-100">
	<div class="d-flex justify-content-center h-100">
		<div class="user_card">
			<div class="d-flex justify-content-center">
				<h3 id="form-title">SIGN UP</h3>
			</div>
			<div class="d-flex justify-content-center form_container">
				<form method="POST" action="">
					{% csrf_token %}
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-user"></i></span>
						</div>
						{{ form.username }}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
						</div>
						{{ form.email }}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{ form.password1 }}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{ form.password2 }}
					</div>
					<div class="d-flex justify-content-center mt-3 login_container">
						<input class="btn login_btn" type="submit" value="Sign up">
					</div>
				</form>
			</div>
			<div class="mt-4">
				<div class="d-flex justify-content-center links">
					Already have an account? <a href={% url 'story_9:login' %} class="ml-2">Login</a>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
	//Query All input fields
	var form_fields = document.getElementsByTagName('input')
	form_fields[1].placeholder='Username..';
	form_fields[2].placeholder='Email..';
	form_fields[3].placeholder='Enter password...';
	form_fields[4].placeholder='Re-enter Password...';
	for (var field in form_fields){	
		form_fields[field].className += ' form-control'
	}
</script>

{% endblock content %}